> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get claim



## OpenAPI

````yaml /openapi.json get /claims/{id}
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /claims/{id}:
    get:
      tags:
        - claims
      summary: Get claim
      operationId: ClaimsController_get
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetClaimOutput'
        '400':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/MissingTenantErrorDto'
              examples:
                MISSING_TENANT:
                  $ref: '#/components/schemas/MissingTenantErrorDto'
          description: ''
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/ClaimNotFoundErrorDto'
              examples:
                CLAIM_NOT_FOUND:
                  $ref: '#/components/schemas/ClaimNotFoundErrorDto'
          description: ''
components:
  schemas:
    GetClaimOutput:
      type: object
      properties:
        metadata:
          description: metadata assigned to the object
          type: array
          items:
            $ref: '#/components/schemas/Metadata'
        customFields:
          description: custom fields per product
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldDto'
        name:
          type: string
          description: 'Optional: Name of the entity'
        description:
          type: string
        occurredAt:
          format: date-time
          type: string
        createdAt:
          format: date-time
          type: string
        responsibility:
          type: string
        category:
          type: string
          description: the amount of money that an insurance company sets aside to cover
        reserve:
          type: number
        type:
          type: string
        id:
          type: string
        externalId:
          type: string
      required:
        - metadata
        - occurredAt
        - createdAt
        - type
        - id
        - externalId
    MissingTenantErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - MISSING_TENANT
        message:
          type: string
          example: Missing tenant header
        details:
          $ref: '#/components/schemas/MissingTenantDetailsDto'
      required:
        - code
        - message
        - details
    ClaimNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - CLAIM_NOT_FOUND
        message:
          type: string
          example: Claim {id} not found
        details:
          $ref: '#/components/schemas/ClaimNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    Metadata:
      type: object
      properties:
        key:
          type: string
          description: the key of the metadata
        value:
          type: string
          description: the value of the metadata
      required:
        - key
        - value
    CustomFieldDto:
      type: object
      properties:
        key:
          type: string
        value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
      required:
        - key
        - value
    MissingTenantDetailsDto:
      type: object
      properties: {}
    ClaimNotFoundDetailsDto:
      type: object
      properties:
        id:
          type: string
      required:
        - id

````